package com.tax.user.service.api;

import com.tax.user.model.SysClientUser;
import com.yxcheng.token.common.model.JsonResult;
import com.yxcheng.token.common.model.RuleModel;

import java.util.List;
import java.util.Map;

public interface SysClientUserService {
    boolean checkUserFunction(RuleModel ruleModel);

    boolean checkUserRule(RuleModel ruleModel, JsonResult<String> result);

    Map<String, Integer> flushClientUserList(String userName);

    List<SysClientUser> queryUserList();
}
